From 2dd73eaf03e14894b3dc003ee90e36eb13e24c50 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 23 2020 00:56:27 +0000
Subject: [PATCH 332/2232] Add ui test for reserved type names


---

diff --git a/tests/ui/reserved_name.rs b/tests/ui/reserved_name.rs
new file mode 100644
index 0000000..27acca5
--- /dev/null
+++ b/tests/ui/reserved_name.rs
@@ -0,0 +1,16 @@
+#[cxx::bridge]
+mod ffi {
+    struct UniquePtr {
+        val: usize,
+    }
+
+    extern "C" {
+        type Box;
+    }
+
+    extern "Rust" {
+        type String;
+    }
+}
+
+fn main() {}
diff --git a/tests/ui/reserved_name.stderr b/tests/ui/reserved_name.stderr
new file mode 100644
index 0000000..6684771
--- /dev/null
+++ b/tests/ui/reserved_name.stderr
@@ -0,0 +1,17 @@
+error: reserved name
+ --> $DIR/reserved_name.rs:3:12
+  |
+3 |     struct UniquePtr {
+  |            ^^^^^^^^^
+
+error: reserved name
+ --> $DIR/reserved_name.rs:8:14
+  |
+8 |         type Box;
+  |              ^^^
+
+error: reserved name
+  --> $DIR/reserved_name.rs:12:14
+   |
+12 |         type String;
+   |              ^^^^^^

